List Agent Custom Tools
Reflects unpublished staged state - see GET /agents/{agent_id}/versions/latest for what's actually live.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
agent_id*Agent Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/stage/custom-tools"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "json_schema": {}, "webhook_url": "string", "timeout_ms": 0, "method": "GET", "headers": [ { "name": "string", "value": "string" } ], "query_params": [ { "name": "string", "source": "string" } ], "path_params": [ { "name": "string", "source": "string" } ], "body_source": "arguments", "credential_id": "13c40afa-2996-4a0c-b2e9-68fba9462242", "auth_placement": "bearer", "auth_param_name": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}